/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 设备统计信息表(tbl_device_statistics)
 *
 * @author bianj
 * @version 1.0.0 2017-06-29
 */
@Entity
@Table(name = "tbl_device_statistics")
public class Tbl_Device_Statistics implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 1215383532220649875L;

    /**
     * id
     */
    @Id
    @Column(name = "id", unique = true, nullable = false, length = 10)
    private Integer id;

    /**
     * 设备ID
     */
    @Id
    @Column(name = "device_id", unique = true, nullable = false, length = 10)
    private Integer deviceId;

    /**
     * 设备MAC地址
     */
    @Column(name = "mac_address", nullable = true, length = 50)
    private String macAddress;

    /**
     * 登陆次数
     */
    @Column(name = "login_count", nullable = true, length = 11)
    private int loginCount;

    /**
     * 最后登陆时间
     */
    @Column(name = "login_time", nullable = true)
    private Date loginTime;

    /**
     * 首次激活时间
     */
    @Column(name = "first_activate", nullable = true)
    private Date firstActivate;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 是否收费
     */
    @Column(name = "is_charge", nullable = true, length = 1)
    private String isCharge;

    /**
     * sdk版本
     */
    @Column(name = "sdk_version", nullable = true, length = 10)
    private String sdkVersion;

    /**
     * sdk时间
     */
    @Column(name = "sdk_time", nullable = true)
    private Date sdkTime;

    /**
     * 分配日期
     */
    @Column(name = "create_date", nullable = true)
    private Date createDate;

    /**
     * 是否升级
     */
    @Column(name = "is_upgrade", nullable = true, length = 1)
    private String isUpgrade;

    /**
     * 更新版本
     */
    @Column(name = "upgrade_version", nullable = true, length = 10)
    private String upgradeVersion;

    /**
     * 更新时间
     */
    @Column(name = "upgrade_time", nullable = true)
    private Date upgradeTime;

    /**
     * 授权时间
     */
    @Column(name = "authorize_time", nullable = true)
    private Date authorizeTime;

    /**
     * 编号
     */
    @Column(name = "create_code", nullable = true, length = 50)
    private String createCode;

    /**
     * MCU启动次数
     */
    @Column(name = "mcu_count", nullable = true, length = 10)
    private Integer mcuCount;

    /**
     * 模块启动次数
     */
    @Column(name = "module_count", nullable = true, length = 10)
    private Integer moduleCount;

    /**
     * 连接路由器次数
     */
    @Column(name = "router_count", nullable = true, length = 10)
    private Integer routerCount;

    /**
     * 成功连接服务器次数
     */
    @Column(name = "server_count", nullable = true, length = 10)
    private Integer serverCount;

    /**
     * 尝试连接服务器次数
     */
    @Column(name = "server_try_count", nullable = true, length = 10)
    private Integer serverTryCount;

    /**
     * mcu版本
     */
    @Column(name = "software_version", nullable = true, length = 10)
    private String softwareVersion;

    /**
     * 硬件型号
     */
    @Column(name = "hardware_type", nullable = true, length = 10)
    private String hardwareType;

    /**
     * 电子厂代码
     */
    @Column(name = "factory_code", nullable = true, length = 20)
    private String factoryCode;

    /**
     * 鱼缸场代码
     */
    @Column(name = "brand_code", nullable = true, length = 20)
    private String brandCode;

    /**
     * 获取id
     *
     * @return id
     */
    public Integer getId() {
        return this.id;
    }

    /**
     * 设置id
     *
     * @param id id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取设备ID
     *
     * @return 设备ID
     */
    public Integer getDeviceId() {
        return this.deviceId;
    }

    /**
     * 设置设备ID
     *
     * @param deviceId 设备ID
     */
    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 获取设备MAC地址
     *
     * @return 设备MAC地址
     */
    public String getMacAddress() {
        return this.macAddress;
    }

    /**
     * 设置设备MAC地址
     *
     * @param macAddress 设备MAC地址
     */
    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    /**
     * 获取登陆次数
     *
     * @return 登陆次数
     */
    public Integer getLoginCount() {
        return this.loginCount;
    }

    /**
     * 设置登陆次数
     *
     * @param loginCount 登陆次数
     */
    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }

    /**
     * 获取最后登陆时间
     *
     * @return 最后登陆时间
     */
    public Date getLoginTime() {
        return this.loginTime;
    }

    /**
     * 设置最后登陆时间
     *
     * @param loginTime 最后登陆时间
     */
    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    /**
     * 获取首次激活时间
     *
     * @return 首次激活时间
     */
    public Date getFirstActivate() {
        return this.firstActivate;
    }

    /**
     * 设置首次激活时间
     *
     * @param firstActivate 首次激活时间
     */
    public void setFirstActivate(Date firstActivate) {
        this.firstActivate = firstActivate;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取是否收费
     *
     * @return 是否收费
     */
    public String getIsCharge() {
        return this.isCharge;
    }

    /**
     * 设置是否收费
     *
     * @param isCharge 是否收费
     */
    public void setIsCharge(String isCharge) {
        this.isCharge = isCharge;
    }

    /**
     * 获取sdk版本
     *
     * @return sdk版本
     */
    public String getSdkVersion() {
        return this.sdkVersion;
    }

    /**
     * 设置sdk版本
     *
     * @param sdkVersion sdk版本
     */
    public void setSdkVersion(String sdkVersion) {
        this.sdkVersion = sdkVersion;
    }

    /**
     * 获取sdk时间
     *
     * @return sdk时间
     */
    public Date getSdkTime() {
        return this.sdkTime;
    }

    /**
     * 设置sdk时间
     *
     * @param sdkTime sdk时间
     */
    public void setSdkTime(Date sdkTime) {
        this.sdkTime = sdkTime;
    }

    /**
     * 获取分配日期
     *
     * @return 分配日期
     */
    public Date getCreateDate() {
        return this.createDate;
    }

    /**
     * 设置分配日期
     *
     * @param createDate 分配日期
     */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获取是否升级
     *
     * @return 是否升级
     */
    public String getIsUpgrade() {
        return this.isUpgrade;
    }

    /**
     * 设置是否升级
     *
     * @param isUpgrade 是否升级
     */
    public void setIsUpgrade(String isUpgrade) {
        this.isUpgrade = isUpgrade;
    }

    /**
     * 获取更新版本
     *
     * @return 更新版本
     */
    public String getUpgradeVersion() {
        return this.upgradeVersion;
    }

    /**
     * 设置更新版本
     *
     * @param upgradeVersion 更新版本
     */
    public void setUpgradeVersion(String upgradeVersion) {
        this.upgradeVersion = upgradeVersion;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getUpgradeTime() {
        return this.upgradeTime;
    }

    /**
     * 设置更新时间
     *
     * @param upgradeTime 更新时间
     */
    public void setUpgradeTime(Date upgradeTime) {
        this.upgradeTime = upgradeTime;
    }

    /**
     * 获取授权时间
     *
     * @return 授权时间
     */
    public Date getAuthorizeTime() {
        return this.authorizeTime;
    }

    /**
     * 设置授权时间
     *
     * @param authorizeTime 授权时间
     */
    public void setAuthorizeTime(Date authorizeTime) {
        this.authorizeTime = authorizeTime;
    }

    /**
     * 获取编号
     *
     * @return 编号
     */
    public String getCreateCode() {
        return this.createCode;
    }

    /**
     * 设置编号
     *
     * @param createCode 编号
     */
    public void setCreateCode(String createCode) {
        this.createCode = createCode;
    }

    /**
     * 获取MCU启动次数
     *
     * @return MCU启动次数
     */
    public Integer getMcuCount() {
        return this.mcuCount;
    }

    /**
     * 设置MCU启动次数
     *
     * @param mcuCount MCU启动次数
     */
    public void setMcuCount(Integer mcuCount) {
        this.mcuCount = mcuCount;
    }

    /**
     * 获取模块启动次数
     *
     * @return 模块启动次数
     */
    public Integer getModuleCount() {
        return this.moduleCount;
    }

    /**
     * 设置模块启动次数
     *
     * @param moduleCount 模块启动次数
     */
    public void setModuleCount(Integer moduleCount) {
        this.moduleCount = moduleCount;
    }

    /**
     * 获取连接路由器次数
     *
     * @return 连接路由器次数
     */
    public Integer getRouterCount() {
        return this.routerCount;
    }

    /**
     * 设置连接路由器次数
     *
     * @param routerCount 连接路由器次数
     */
    public void setRouterCount(Integer routerCount) {
        this.routerCount = routerCount;
    }

    /**
     * 获取成功连接服务器次数
     *
     * @return 成功连接服务器次数
     */
    public Integer getServerCount() {
        return this.serverCount;
    }

    /**
     * 设置成功连接服务器次数
     *
     * @param serverCount 成功连接服务器次数
     */
    public void setServerCount(Integer serverCount) {
        this.serverCount = serverCount;
    }

    /**
     * 获取尝试连接服务器次数
     *
     * @return 尝试连接服务器次数
     */
    public Integer getServerTryCount() {
        return this.serverTryCount;
    }

    /**
     * 设置尝试连接服务器次数
     *
     * @param serverTryCount 尝试连接服务器次数
     */
    public void setServerTryCount(Integer serverTryCount) {
        this.serverTryCount = serverTryCount;
    }

    /**
     * 获取mcu版本
     *
     * @return mcu版本
     */
    public String getSoftwareVersion() {
        return this.softwareVersion;
    }

    /**
     * 设置mcu版本
     *
     * @param softwareVersion mcu版本
     */
    public void setSoftwareVersion(String softwareVersion) {
        this.softwareVersion = softwareVersion;
    }

    /**
     * 获取硬件型号
     *
     * @return 硬件型号
     */
    public String getHardwareType() {
        return this.hardwareType;
    }

    /**
     * 设置硬件型号
     *
     * @param hardwareType 硬件型号
     */
    public void setHardwareType(String hardwareType) {
        this.hardwareType = hardwareType;
    }

    /**
     * 获取电子厂代码
     *
     * @return 电子厂代码
     */
    public String getFactoryCode() {
        return this.factoryCode;
    }

    /**
     * 设置电子厂代码
     *
     * @param factoryCode 电子厂代码
     */
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    /**
     * 获取鱼缸场代码
     *
     * @return 鱼缸场代码
     */
    public String getBrandCode() {
        return this.brandCode;
    }

    /**
     * 设置鱼缸场代码
     *
     * @param brandCode 鱼缸场代码
     */
    public void setBrandCode(String brandCode) {
        this.brandCode = brandCode;
    }
}
